Subject: Re: [PATCH] Allow using C-w (bookmark-yank-word) when bookmarking from a gnus article buffer.

From: Karl Fogel <[email-masked]>
Date: Wed, 14 Jul 2010 12:44:09 -0400

I've committed the C-w patch to trunk.  I examined it and tested it, and
it seems to work fine here.  Please check it over to make sure!

Below are all the relevant bzr revisions, including the precedents.

Best,
-Karl

------------------------------------------------------------
revno: 100821
revision-id: [email-masked]
parent: [email-masked]
author: Thierry Volpiatto <[email-masked]>
committer: Karl Fogel <[email-masked]>
branch nick: trunk
timestamp: Wed 2010-07-14 12:41:40 -0400
message:
  Allow C-w when setting a bookmark in a Gnus Article buffer (Bug#5975).
  
  * lisp/bookmark.el (bookmark-set): Don't set `bookmark-yank-point' and
    `bookmark-current-buffer' if they have been already set in another
    buffer (e.g gnus-art).
  
  * lisp/gnus/gnus-sum.el (gnus-summary-bookmark-make-record): Set
    `bookmark-yank-point' and `bookmark-current-buffer' to allow C-w. 
------------------------------------------------------------
revno: 100820
revision-id: [email-masked]
parent: [email-masked]
committer: Karl Fogel <[email-masked]>
branch nick: trunk
timestamp: Wed 2010-07-14 12:02:53 -0400
message:
  Allow bookmarks to be set from Gnus Article buffers (Bug #5975).
  Patch applied (with minor tweaks) by Karl Fogel.  Note this leaves
  C-w still not working correctly from Article buffers; Thierry's
  patch to fix that will be applied after this.
  
  * lisp/gnus/gnus-art.el (bookmark-make-record-function): New local variable.
  
  * lisp/gnus/gnus-sum.el (gnus-summary-bookmark-make-record): Allow setting
    from article buffer.
    (gnus-summary-bookmark-jump): Maybe jump to article buffer.
------------------------------------------------------------
revno: 100819
revision-id: [email-masked]
parent: [email-masked]
committer: Karl Fogel <[email-masked]>
branch nick: trunk
timestamp: Wed 2010-07-14 11:57:54 -0400
message:
  Preparation for setting bookmarks in Gnus article buffers (Bug#5975).
  
  * lisp/bookmark.el (bookmark-make-record-default): Allow unneeded
    information to be omitted from the record.
  
  Adjust declarations and calls:
  
  * lisp/info.el (bookmark-make-record-default): Adjust declaration.
    (Info-bookmark-make-record): Adjust call.
  
  * lisp/woman.el (bookmark-make-record-default): Adjust declaration.
    (woman-bookmark-make-record): Adjust call.
  
  * lisp/man.el (bookmark-make-record-default): Adjust declaration.
    (Man-bookmark-make-record): Adjust call.
  
  * lisp/image-mode.el (bookmark-make-record-default): Adjust declaration.
  
  * lisp/doc-view.el (bookmark-make-record-default): Adjust declaration.
  
  * lisp/gnus/gnus-sum.el (bookmark-make-record-default): Adjust declaration.